Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

## AuthPlugin

Description
Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370

A class for authenticating and retrieving user information

Located in /AuthPlugin.php (line 23)

Method Summary
AuthPlugin AuthPlugin (array $authparams)
object The Authenticate (string $username, string $password)
Methods
Strict Standards: Only variables should be passed by reference in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 712 Warning: strftime(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone. in /usr/share/php/PhpDocumentor/phpDocumentor/Smarty-2.6.0/libs/Smarty_Compiler.class.php on line 370
Constructor AuthPlugin (line 43)

Create a new AuthPlugin object. This is as lightweight as possible.

AuthPlugin AuthPlugin (array $authparams)

- array $authparams: An array of parameters used for this authentication method.

Authenticate (line 54)

Authenticate. Do whatever we need to authenticate a username / password.

- return: "user" object, containing fields matching the 'usr' database table

object The Authenticate (string $username, string $password)

- string $username: The username of the person attempting to log in
- string $password: The password the person is trying to log in with

Documentation generated on Wed, 04 Jul 2012 07:06:11 +0000 by phpDocumentor 1.4.3